Bug 457220 - RPM_OPT_FLAGS for IA-32 to generic (incl. patch)
RPM_OPT_FLAGS for IA-32 to generic (incl. patch)
Product: Fedora
Classification: Fedora
Component: redhat-rpm-config (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
: EasyFix
Depends On:
  Show dependency treegraph
Reported: 2008-07-30 07:16 EDT by Edwin ten Brink
Modified: 2010-06-28 06:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-06-28 06:42:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Optimized IA-32 build options (1.85 KB, patch)
2008-07-30 07:16 EDT, Edwin ten Brink
no flags Details | Diff
Optimized IA-32 build options for rpm 4.6.0-0.rc3.1 (FC10) (1.38 KB, patch)
2009-01-11 09:55 EST, Edwin ten Brink
no flags Details | Diff

  None (edit)
Description Edwin ten Brink 2008-07-30 07:16:59 EDT
Description of problem:
rpmrc does not enable the instruction sets which are available to some of the
listed IA-32 architectures. As a result, generated binaries when compiled for a
specific processor are to generic. Selecting -march does schedule for a specific
processor, but does not enable the additional instruction sets available, e.g. SSE.

A patch for rpmrc.in is attached which adds the options for the instruction sets
which are supported by the various IA-32 processor families.

Since the default build architecture is a generic one (i386 for IA-32), this
will not affect any standard builds. Users building for a specific architecture
may benefit from this patch if they override the default buildarchtranslate: in
their /etc/rpmrc or ~/.rpmrc file.

Version-Release number of selected component (if applicable):
# rpm --version
RPM version
# rpm -q rpm

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Edwin ten Brink 2008-07-30 07:16:59 EDT
Created attachment 312984 [details]
Optimized IA-32 build options
Comment 2 Edwin ten Brink 2009-01-10 07:46:46 EST
Still present in FC10, rpm version 4.6.0.

# rpm --version
RPM version 4.6.0-rc3
# rpm -q rpm
Comment 3 Edwin ten Brink 2009-01-11 09:55:11 EST
Created attachment 328660 [details]
Optimized IA-32 build options for rpm 4.6.0-0.rc3.1 (FC10)

Updates original patch id 312984: "Optimized IA-32 build options" which was made against rpm (FC9)
Comment 4 Panu Matilainen 2009-02-18 10:42:08 EST
It's redhat-rpm-config which dictates what flags get passed to which archs. Maybe something to look into while we changing the archs for the mass-rebuild...
Comment 5 Bug Zapper 2009-06-09 05:39:14 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
Comment 6 Bug Zapper 2010-04-27 08:10:28 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 7 Bug Zapper 2010-06-28 06:42:01 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.